Third-party software requirements for all versions of AEM forms are documented in the “System Requirements” or "Supported Platforms" section of their respective product documents. All documentation for currently supported AEM forms versions can be accessed from AEM forms help and tutorials page.

AEM forms third-party reference platforms state the specific patch level that was current during the development and release of AEM forms, and forms the minimum patch or service pack supported by that version of AEM forms. 

Adobe will support urgent or recommended patches issued by third-party vendors upon their release assuming that the vendors guarantee backward compatibility with the versions that AEM forms supports. Adobe will only support patches released after the minimum patch level stated in the documentation.

In some cases Adobe will not be able to support third-party updates that change major functionality, and thus do not support full backward compatibility. For details on the supported updates, see Supported patch definitions for specific vendor product and the patch types Adobe will support.

In some circumstances beyond Adobe’s control, third-party patches that claim backward compatibility may have negative impact on Adobe products or customer environments. In such cases, Adobe recommends that customers assess the impact of a third-party patch before applying to critical systems. Adobe will work with third parties using reasonable business efforts to resolve such issues, either through normal Adobe support programs or by third parties rectifing the issue with their patch. This does not guarantee that a newly released third-party patch will work as documented by the vendor or with AEM forms.

Also, it is recommended to review Third Party Software Notices and/or Additional Terms and Conditions.

General Example

AEM forms 6.0 supports IBM WebSphere 8.0.0.2 and all fix packs released after this point. Therefore, the supported versions are 8.0.0.2, 8.0.0.3, 8.0.0.4, and so on.

Supported patch definitions as defined by vendor

Operating Systems:

  • Microsoft Windows – Service Packs and Critical Updates
  • IBM AIX – Maintenance Levels and PTF(s)
  • Sun Solaris – Updates and (patchadd) Patches
  • RedHat Linux – Cumulative “Updates” and updates marked critical
  • Novell SuSE Linux – Cumulative recommended and Critical Security Updates

Java Application Servers:

  • IBM WebSphere - Fix Packs, JDK SRs
  • BEA/Oracle WebLogic - Patches (Maintenance Packs)
  • RedHat JBoss Application Server  - Patches and cumulative patches for the supported EAP version

JDK updates are as recommended by the application server vendor or, where Adobe certifies a range of versions, the one that Adobe certified or later.

Databases:

  • MySQL – Updates that do not change the Major.Minor version
  • IBM DB2 – Fix Packs and APARs
  • Oracle – Patch sets
  • Microsoft SQL Server – Updates and Service Packs

Directory Servers:

  • SunOne Directory Server – Service Packs
  • Microsoft ActiveDirectory – as part of the OS update
  • Novell eDirectory – Product Updates

Content Management Systems:

  • EMC Documentum – Fix Packs and Hot Fixes
  • IBM Content Manager – Fix Packs and iFix(s)
  • IBM FileNet – Service Packs

Web Browsers:

  • Microsoft Internet Explorer – Service Packs and Updates 
  • Netscape Navigator - Patch
  • Mozilla FireFox – Security Updates that change the double dot version
  • Apple Safari - Double and triple dot release updates, security fixes
  • Google Chrome - All updates

Questo prodotto è concesso in licenza in base alla licenza di Attribuzione-Non commerciale-Condividi allo stesso modo 3.0 Unported di Creative Commons.  I post su Twitter™ e Facebook non sono coperti dai termini di Creative Commons.

Note legali   |   Informativa sulla privacy online